Apache Tomcat 6.0.51

## org.apache.catalina.valves
Class RemoteAddrValve

    java.lang.Object
      org.apache.catalina.valves.ValveBase
          org.apache.catalina.valves.RequestFilterValve
              org.apache.catalina.valves.RemoteAddrValve

All Implemented Interfaces:
  javax.management.MBeanRegistration, Contained, Lifecycle, Valve

    public final class RemoteAddrValve

extends RequestFilterValve

Concrete implementation of `RequestFilterValve` that filters based on the string representation of the remote client's IP address optionally combined with the server connector port number.

Author:
  Craig R. McClanahan

Field Summary
`protected boolean` | `addConnectorPort` Flag deciding whether we add the server connector port to the property compared in the filtering method.

Fields inherited from class org.apache.catalina.valves.RequestFilterValve
`allow, allows, allowValid, denies, deny, denyStatus, denyValid, lifecycle, sm, started`

Fields inherited from class org.apache.catalina.valves.ValveBase
`container, containerLog, controller, domain, mserver, next, oname`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`RemoteAddrValve()`

Method Summary
`boolean` | `getAddConnectorPort()` Get the flag deciding whether we add the server connector port to the property compared in the filtering method.
`java.lang.String` | `getInfo()` Return descriptive information about this Valve implementation.
`void` | `invoke(Request request, Response response)` Extract the desired request property, and pass it (along with the specified request and response objects) to the protected `process()` method to perform the actual filtering.
`void` | `setAddConnectorPort(boolean addConnectorPort)` Set the flag deciding whether we add the server connector port to the property compared in the filtering method.

Methods inherited from class org.apache.catalina.valves.RequestFilterValve
`addLifecycleListener, denyRequest, findLifecycleListeners, getAllow, getDeny, getDenyStatus, isAllowed, isAllowValid, isDenyValid, precalculate, process, removeLifecycleListener, setAllow, setDeny, setDenyStatus, start, stop`

Methods inherited from class org.apache.catalina.valves.ValveBase
`backgroundProcess, createObjectName, event, getContainer, getContainerName, getController, getDomain, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setNext, setObjectName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### addConnectorPort

    protected volatile boolean addConnectorPort

  Flag deciding whether we add the server connector port to the property compared in the filtering method. The port will be appended using a ";" as a separator.

Constructor Detail

### RemoteAddrValve

    public RemoteAddrValve()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Valve implementation.

  Specified by:
    `getInfo` in interface `Valve`
  Overrides:
    `getInfo` in class `RequestFilterValve`

### getAddConnectorPort

    public boolean getAddConnectorPort()

  Get the flag deciding whether we add the server connector port to the property compared in the filtering method. The port will be appended using a ";" as a separator.

### setAddConnectorPort

    public void setAddConnectorPort(boolean addConnectorPort)

  Set the flag deciding whether we add the server connector port to the property compared in the filtering method. The port will be appended using a ";" as a separator.

  Parameters:
    `addConnectorPort` - The new flag

### invoke

    public void invoke(Request request,
                       Response response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Extract the desired request property, and pass it (along with the specified request and response objects) to the protected `process()` method to perform the actual filtering. This method must be implemented by a concrete subclass.

  Specified by:
    `invoke` in interface `Valve`
  Specified by:
    `invoke` in class `RequestFilterValve`
  Parameters:
    `request` - The servlet request to be processed
    `response` - The servlet response to be created
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet error occurs

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.